﻿using WordPressPCL;
using WordPressPCL.Models;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private async static Task Main()
    {
        string baseURL             = "https://somebody_wordpress.com/wp-json/";
        string userID              = "사용자ID";
        string applicationPassword = "애플리케이션 패스워드";

        WordPressClient client = new WordPressClient(baseURL);

        client.Auth.UseBasicAuth(userID, applicationPassword);

        Post newPost = new Post()
        {
            Title   = new Title("새로운 포스트 제목"),
            Content = new Content("새로운 포스트 내용"),
            Status  = Status.Draft
        };

        Post postCreated = await client.Posts.CreateAsync(newPost);

        if(postCreated != null)
        {
            Console.WriteLine("포스트가 성공적으로 추가되었습니다.");
            Console.WriteLine();
            Console.WriteLine($"포스트 ID    : {postCreated.Id            }");
            Console.WriteLine($"포스트 제목  : {postCreated.Title.Rendered}");
            Console.WriteLine($"포스트 링크  : {postCreated.Link          }");
        }
        else
        {
            Console.WriteLine("포스트 추가에 실패했습니다.");
        }
    }

    #endregion
}